Quests that upon disconnecting appear unfinished but in dialogue and gameplay are.
Closed, ResolvedPublic

Description

What is happening:
IF disconnected after having recently finished quests or tasks within quests, when you return, most previously completed tasks/quests will show as "incomplete", however, speaking to the NPCS required to complete the tasks (again) will only give you non-quest related dialogue, as if you had finished.

What should be happening:
When you return from disconnecting, you should not see graphical signs of incomplete tasks. ( Quests in your book that had been finished before disconnecting, exclamation marks on map and above NPCS )

Steps to reproduce the issue:
Finish some tasks or quests and hope that at the perfect time the servers reset. Upon your return, you may find this issue plastered all up in your business.

Game client version:
Version 0.2

Reproduced by:
N/A

Reproduced on:
Windows 7, 64 bit

Crash logs or exceptions generated:
N/A

Screenshots:
N/A

tigerly created this task.Dec 15 2016, 9:55 AM
tigerly updated the task description. (Show Details)
Natfoth claimed this task.Dec 17 2016, 10:38 PM
Natfoth added a subscriber: justin.
Rattletrap closed this task as Resolved.Sep 10 2017, 4:02 AM
Rattletrap added a subscriber: Rattletrap.

This issue has been fixed as of OAR build